Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.samplers
Interface SampleSender

All Known Implementing Classes:
  BatchSampleSender, DataStrippingSampleSender, HoldSampleSender, StandardSampleSender, StatisticalSampleSender

    public interface SampleSender

This interface is used to define the methods that need to be intercepted by the SampleSender wrapper classes processed by the RemoteListenerWrapper.

Method Summary
`void` | `sampleOccurred(SampleEvent e)` A sample occurred
`void` | `testEnded()` The test ended
`void` | `testEnded(String host)` The test ended

Method Detail

### testEnded

    void testEnded()

  The test ended

### testEnded

    void testEnded(String host)

  The test ended

  Parameters:
    `host` - the host that the test ended on.

### sampleOccurred

    void sampleOccurred(SampleEvent e)

  A sample occurred

  Parameters:
    `e` - a Sample Event

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.